%define name stow
%define version 2.2.2
%define release %mkrel 2

Summary:	Symlink farm manager
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPLv2
Group:		File tools
Url:		https://www.gnu.org/software/stow/
BuildArch:	noarch
Requires(post):	info-install
Requires(pre):	info-install

%description
GNU Stow is a symlink farm manager which takes distinct packages of
software and/or data located in separate directories on the
filesystem, and makes them appear to be installed in the same
place. For example, /usr/local/bin could contain symlinks to files
within /usr/local/stow/emacs/bin, /usr/local/stow/perl/bin etc., and
likewise recursively for any other subdirectories such as .../share,
.../man, and so on.

This is particularly useful for keeping track of system-wide and
per-user installations of software built from source, but can also
facilitate a more controlled approach to management of configuration
files in the user's home directory, especially when coupled with
version control systems.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%post
%_install_info %{name}

%preun
%_remove_install_info %{name}

%files
%doc %{_docdir}/%{name}
%{_bindir}/chk%{name}
%{_bindir}/%{name}
%{perl_sitelib}/Stow.pm
%{perl_sitelib}/Stow/Util.pm
%{_mandir}/man8/%{name}.8*
%{_infodir}/%{name}.info*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.2.2-2.mga6
+ Revision: 1036530
- Rebuild for perl 5.22.2

* Fri Apr 22 2016 blino <blino> 2.2.2-1.mga6
+ Revision: 1005377
- initial package (2.2.2)
- Created package structure for stow.

